Summary: 	A graphical project management tool.
Name: 		mrproject
Version: 	0.6
Release:	3
License: 	GPL
Group: 		Applications/Productivity
Url:		http://mrproject.codefactory.se
Source: 	%{name}-%{version}.tar.gz
Patch0:		mrproject-0.6-nograb.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	glib >= 1.2.9
Requires:	gtk+ >= 1.2.9
Requires:	libxml >= 1.8.14
Requires:	gnome-libs >= 1.4.1.2.90
Requires:	ORBit >= 0.5.7
Requires:	oaf >= 0.6.5
Requires:	gnome-vfs >= 1.0.0
Requires:	gdk-pixbuf >= 0.8.0
Requires:	bonobo >= 1.0.7
Requires:	popt >= 1.5
Requires:	gnome-print >= 0.25
Requires:	gal >= 0.11.2
Requires:	libglade >= 0.14
Requires:       libmrproject >= 0.6

BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gtk2-devel >= 2.0
BuildRequires:	libxml2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	ORBit2-devel
BuildRequires:	gnome-vfs-devel
BuildRequires:	libgnomeprintui-devel
BuildRequires:	libglade-devel
BuildRequires:	libmrproject-devel
BuildRequires:	intltool

%description
MrProject is a visual project management application which allows users to
manage several aspects of a project, including schedule tracking using
Gantt charts.

You should install MrProject if you wish to manage schedules, allocate
resources, and track the progress of your projects.

%prep
%setup -q
%patch0 -p0 -b .nograb

%build

intltoolize
%configure

make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall MRP_PLUGINDIR=$RPM_BUILD_ROOT/%{_libdir}/mrproject/plugins MRP_VIEWDIR=$RPM_BUILD_ROOT/%{_libdir}/mrproject/views

desktop-file-install --vendor codefactory --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/mrproject.desktop


%find_lang %name


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc ChangeLog NEWS README COPYING
%{_bindir}/mrproject
%{_libdir}/mrproject
%{_datadir}/mrproject
%{_datadir}/gnome-2.0/ui/*.ui
%{_datadir}/application-registry/*
%{_datadir}/mime-info/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Tue Aug 27 2002 Jonathan Blandford <jrb@redhat.com>
- Ungrab cursor

* Wed Aug 21 2002 Jonathan Blandford <jrb@redhat.com>
- clean up summary and description fields

* Wed Aug 14 2002 Jonathan Blandford <jrb@redhat.com>
- New bug fix version

* Tue Aug  6 2002 Jonathan Blandford <jrb@redhat.com>
- new version

* Mon Aug  5 2002 Jonathan Blandford <jrb@redhat.com>
- Switch Generic Name and Name, as I got this wrong

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 29 2002 Jonathan Blandford <jrb@redhat.com>
- Updated to 0.5.92

* Thu Feb 28 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.5.1-8
- Use %%{_tmppath}
- Move changelog to end of specfile
- langify
- s/Copyright/License/
- Lose Vendor tag
- Lose evil macros before tags 
- Don't specify a wrong docdir


* Thu Feb 28 2002 Jonathan Blandford <jrb@redhat.com>
- Change Group to be a real one.
- add changelog
